#!/bin/bash
#=============================================================================
# se deplacer au repertoire du script
#=============================================================================
cd "${0%/*}"

#=============================================================================
# chargement des modules necessaire pour la compilation et l'execution du code
#=============================================================================

git pull

#=============================================================================
# chargement des modules necessaire pour la compilation et l'execution du code
#=============================================================================
module load gcc
module load cplex-studio/12.10.0.0


#=============================================================================
# Compilation du code
#=============================================================================
make clean
make -j 8 release
echo "Fin de la compilation du code"


#=============================================================================
# Execution du code sur l'instance (ou les instances)
#=============================================================================

../build/bin/cplex ./Data/S1.lp 
